import java.awt.Canvas;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.Rectangle;
import java.awt.event.ComponentListener;
import java.io.File;
import java.io.IOException;
import java.util.EventListener;

import javax.imageio.ImageIO;
import javax.swing.ImageIcon;

public class ImageCanvas_delegateSceneDrawing extends Canvas {

	Image img;

	public ImageCanvas_delegateSceneDrawing() throws IOException {
		// this.setForeground();//faceColor);
		File f = new File(System.getProperty("user.dir") + "/a1/" + "image.jpg");
		img = ImageIO.read(f);

	}

	public Dimension getPreferredSize() {
		return new Dimension(300, 300);
	}

	/*
	 * Paint when the AWT tells us to...
	 */
	public void paint(Graphics g) {
		drawScene(g);
	}

	private void drawScene(Graphics g) {
		// Dynamically calculate size information
		// (the canvas may have been resized externally...)
		Dimension size = getSize();

		Graphics2D g2 = (Graphics2D) g;
		img = img.getScaledInstance(size.width, size.height,
				Image.SCALE_AREA_AVERAGING);

		g2.drawImage(img, 0, 0, null);
	}

}
